﻿from django.shortcuts import render
from django.http import HttpResponse

def search(request):
    return render(request, 'search_form.html')
    
def search_query(request):
    errors = []
    q = request.GET.get('q')
    if not q:
        errors.append('Форма пуста')
    if len(q) > 10:
        errors.append('Значение должно быть меньше 10')
    if errors:
        return render(request, 'search_form.html', {'errors': errors})
    else:
        return HttpResponse(q)